package model

import "gorm.io/gorm"

type Image struct {
	gorm.Model
	ColorSpuStyleNumber string `gorm:"index:style; size:50; not null"`
	ColorSpuColorCode   string `gorm:"index:style; size:50"`
	Url                 string `gorm:"uniqueIndex; size:256"`
}

type Images []Image
