package repository

import (
	"git.chillcy.com/golang/colorway/internal/pkg/database/mysql/model"
	"gorm.io/gorm"
)

type CompositionInterface interface {
	BaseInterface
}

type Composition struct {
	*Base[model.Composition]
}

func NewComposition(db *gorm.DB) *Composition {
	return &Composition{
		Base: NewBase[model.Composition](db),
	}
}
