package repository

import (
	"git.chillcy.com/golang/colorway/internal/pkg/database/mysql/model"
	"gorm.io/gorm"
)

type FitInterface interface {
	BaseInterface
}

type Fit struct {
	*Base[model.Fit]
}

func NewFit(db *gorm.DB) *Fit {
	return &Fit{
		Base: NewBase[model.Fit](db),
	}
}
