package repository

import (
	"git.chillcy.com/golang/colorway/internal/pkg/database/mysql/model"
	"gorm.io/gorm"
)

type GenderInterface interface {
	BaseInterface
}

type Gender struct {
	*Base[model.Gender]
}

func NewGender(db *gorm.DB) *Gender {
	return &Gender{
		Base: NewBase[model.Gender](db),
	}
}
