package repository

import (
	"git.chillcy.com/golang/colorway/internal/pkg/database/mysql/model"
	"gorm.io/gorm"
)

type ImageInterface interface {
	BaseInterface
}

type Image struct {
	*Base[model.Image]
}

func NewImage(db *gorm.DB) *Image {
	return &Image{
		Base: NewBase[model.Image](db),
	}
}
