package repository

import (
	"git.chillcy.com/golang/colorway/internal/pkg/database/mysql/model"
	"gorm.io/gorm"
)

type ModelInterface interface {
	BaseInterface
}

type Model struct {
	*Base[model.Model]
}

func NewModel(db *gorm.DB) *Model {
	return &Model{
		Base: NewBase[model.Model](db),
	}
}
