package repository

import (
	"git.chillcy.com/golang/colorway/internal/pkg/database/mysql/model"
	"gorm.io/gorm"
)

type ProductInterface interface {
	BaseInterface
}

type Product struct {
	*Base[model.Product]
}

func NewProduct(db *gorm.DB) *Product {
	return &Product{
		Base: NewBase[model.Product](db),
	}
}
