package colorwaylogic

import (
	"context"

	"git.chillcy.com/golang/colorway/internal/rpc/internal/svc"
	"git.chillcy.com/golang/colorway/internal/rpc/pb/colorway"

	"github.com/zeromicro/go-zero/core/logx"
)

type PingLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewPingLogic(ctx context.Context, svcCtx *svc.ServiceContext) *PingLogic {
	return &PingLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *PingLogic) Ping(in *colorway.Request) (*colorway.Response, error) {
	// todo: add your logic here and delete this line

	return &colorway.Response{}, nil
}
