package priceRouteAdapter

import (
	"git.chillcy.com/golang/chillcy/pkg/platform"
	"git.chillcy.com/golang/colorway/pkg/types"
)

type IAdapter interface {
	IsMatch(route types.Route) bool
	GetPrice(now float64, config RoutePriceDetail, plt platform.Platform) (float64, error)
}
