package repository

import (
	"git.chillcy.com/golang/colorway/internal/pkg/database/mysql/model"
	"gorm.io/gorm"
)

type ColorSpuInterface interface {
	BaseInterface
}

type ColorSpu struct {
	*Base[model.ColorSpu]
}

func NewColorSpu(db *gorm.DB) *ColorSpu {
	return &ColorSpu{
		Base: NewBase[model.ColorSpu](db),
	}
}
