package repository

import (
	"git.chillcy.com/golang/colorway/internal/pkg/database/mysql/model"
	"gorm.io/gorm"
)

type SkuInterface interface {
	BaseInterface
}

type Sku struct {
	*Base[model.Sku]
}

func NewSku(db *gorm.DB) *Sku {
	return &Sku{
		Base: NewBase[model.Sku](db),
	}
}
